Retrieves the excluded bank transactions.
curl --request GET \
--url https://api.example.com/api/banking/exclude \
--header 'Authorization: <authorization>' \
--header 'organization-id: <organization-id>'import requests
url = "https://api.example.com/api/banking/exclude"
headers = {
"Authorization": "<authorization>",
"organization-id": "<organization-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: '<authorization>', 'organization-id': '<organization-id>'}
};
fetch('https://api.example.com/api/banking/exclude', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"pagination": {
"total": 100,
"page": 1,
"pageSize": 10
},
"data": [
{
"amount": 123,
"date": {},
"accountId": 123,
"referenceNo": "<string>",
"payee": "<string>",
"description": "<string>",
"plaidTransactionId": "<string>",
"pending": true,
"recognizedTransactionId": 123,
"categorizeRefType": "<string>",
"categorizeRefId": 123,
"formattedAmount": "<string>",
"formattedDate": "<string>",
"formattedDepositAmount": "<string>",
"formattedWithdrawalAmount": "<string>",
"withdrawal": 123,
"deposit": 123,
"isDepositTransaction": true,
"isWithdrawalTransaction": true,
"isRecognized": true,
"isExcluded": true,
"isPending": true,
"assignedAccountId": 123,
"assignedAccountName": "<string>",
"assignedAccountCode": "<string>",
"assignedPayee": "<string>",
"assignedMemo": "<string>",
"assignedCategory": "<string>",
"assignedCategoryFormatted": "<string>"
}
]
}Banking Transactions
Retrieves the excluded bank transactions.
GET
/
api
/
banking
/
exclude
Retrieves the excluded bank transactions.
Headers
Value must be 'Bearer ' where is an API key prefixed with 'bc_' or a JWT token.
Example:
"Bearer bc_1234567890abcdef"
Required if Authorization is a JWT token. The organization ID to operate within.
Query Parameters
Page number
Example:
1
Page size
Example:
25
Filter by bank account ID
Example:
1
Minimum date (ISO)
Example:
"2024-01-01"
Maximum date (ISO)
Example:
"2024-12-31"
Minimum amount
Example:
0
Maximum amount
Example:
10000
⌘I